com.asprise.imaging.scan.mac

## Class MacScanManager

- java.lang.Object
- - com.asprise.imaging.scan.ScanManager
  - - com.asprise.imaging.scan.mac.MacScanManager

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class MacScanManager
      extends ScanManager

- - ### Field Summary

    - ### Fields inherited from class com.asprise.imaging.scan.ScanManager

      `VERSION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `convertImage(String sourceFiles, String targetFile, String targetFormat, int jpegQuality, String tiffCompressionScheme)`
    `List<Device>` | `getDevices()` Lists all the devices available on the system.
    `static MacScanManager` | `getInstance()`
    `String` | `getLibraryVersion()`
    `void` | `load()` Initializes the manager.
    `File[]` | `quickScanUsingUI(File destinationFolder, Component parentComponentForDialog, String preferredFormat)` Performs a quick scan using system UI.
    `File[]` | `quickScanUsingUI(File destinationFolder, Component parentComponentForDialog, String docName, boolean advancedMode, boolean scanMultipleFiles)` Advanced control.
    `Device` | `selectDeviceByIdOrName(String idOrName)` Selects the device by id or name.
    `String` | `selectDeviceUsingUI(Component parentComponentForDialog)` Prompts the system dialog in modal mode to allow the user to select a device
    `void` | `unload()` Releases resources and invalidates the manager.

    - ### Methods inherited from class com.asprise.imaging.scan.ScanManager

      `createDefaultManager, enableLogDebugToConsole, getDefaultExecutorServiceForScanning, getDefaultManager, getTempFolder, isActive, isEnabledLogDebugToConsole, log, logDebug, logDebug, logDebugToConsole, logError, logError, logInfo, logInfo, logWarn, logWarn, main, quickScanUsingUI, quickScanUsingUI, selectDeviceUsingUI, setLoggerObject`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static MacScanManager getInstance()

    - #### getDevices

          public List<Device> getDevices()
                                  throws ScanException

      Description copied from class: `ScanManager`
      Lists all the devices available on the system.
      Specified by:
        `getDevices` in class `ScanManager`
      Returns:
      Throws:
        `ScanException`

    - #### selectDeviceByIdOrName

          public Device selectDeviceByIdOrName(String idOrName)
                                        throws ScanException

      Description copied from class: `ScanManager`
      Selects the device by id or name.
      Specified by:
        `selectDeviceByIdOrName` in class `ScanManager`
      Returns:
      Throws:
        `ScanException`

    - #### selectDeviceUsingUI

          public String selectDeviceUsingUI(Component parentComponentForDialog)
                                     throws ScanException

      Description copied from class: `ScanManager`
      Prompts the system dialog in modal mode to allow the user to select a device
      Specified by:
        `selectDeviceUsingUI` in class `ScanManager`
      Parameters:
        `parentComponentForDialog` - an optional UI component that owns the device selection dialog (modal).
      Returns:
        the id of the device selected.
      Throws:
        `ScanException`

    - #### quickScanUsingUI

          public File[] quickScanUsingUI(File destinationFolder,
                                Component parentComponentForDialog,
                                String preferredFormat)
                                  throws ScanException

      Description copied from class: `ScanManager`
      Performs a quick scan using system UI.
      Specified by:
        `quickScanUsingUI` in class `ScanManager`
      Parameters:
        `destinationFolder` - folder to save scanned images into. Pass `null` to use system temp.
        `parentComponentForDialog` - an optional UI component that owns the device selection dialog (modal).
        `preferredFormat` - e.g., 'jpg', 'png' - no guarantee
      Returns:
        the scanned images or `null`/empty array if user cancelled
      Throws:
        `ScanException`

    - #### quickScanUsingUI

          public File[] quickScanUsingUI(File destinationFolder,
                                Component parentComponentForDialog,
                                String docName,
                                boolean advancedMode,
                                boolean scanMultipleFiles)
                                  throws ScanException

      Advanced control.
      Parameters:
        `destinationFolder` -
        `parentComponentForDialog` -
        `docName` -
        `advancedMode` -
        `scanMultipleFiles` -
      Returns:
      Throws:
        `ScanException`

    - #### convertImage

          public void convertImage(String sourceFiles,
                          String targetFile,
                          String targetFormat,
                          int jpegQuality,
                          String tiffCompressionScheme)
                            throws ScanException

      Specified by:
        `convertImage` in class `ScanManager`
      Throws:
        `ScanException`

    - #### load

          public void load()
                    throws ScanException

      Description copied from class: `ScanManager`
      Initializes the manager.
      Specified by:
        `load` in class `ScanManager`
      Throws:
        `ScanException`

    - #### unload

          public void unload()
                      throws ScanException

      Description copied from class: `ScanManager`
      Releases resources and invalidates the manager.
      Specified by:
        `unload` in class `ScanManager`
      Throws:
        `ScanException`

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`

    - #### getLibraryVersion

          public String getLibraryVersion()
                                   throws ScanException

      Specified by:
        `getLibraryVersion` in class `ScanManager`
      Throws:
        `ScanException`

Copyright © Asprise Software. All Rights Reserved. Please visit the product page at asprise.com